
function aom_vehicleapi.on_step(self, dtime, moveresult, ...)
    if self.object:get_pos() == nil then return true end
    aom_vehicleapi.collect_players(self, dtime)
    aom_vehicleapi.do_standing_on_vehicles(self, dtime)
    aom_vehicleapi.do_sound(self, dtime)
    aom_vehicleapi.do_footstep_sound_for_all_players(self, dtime)
    aom_vehicleapi.manage_automatic_rotate(self, dtime, moveresult)
    return aom_vehicleapi.periodic_sync_refresh(self, dtime)
end
